Subject: Re: linux-next: build warning after merge of the akpm-current tree

From: Mike Kravetz <[email-masked]>
Date: Thu, 12 Mar 2020 09:48:00 -0700

On 3/12/20 12:31 AM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the akpm-current tree, today's linux-next build (powerpc
> ppc64_defconfig) produced this warning:
> 
> fs/hugetlbfs/inode.c: In function 'remove_inode_hugepages':
> fs/hugetlbfs/inode.c:460:44: warning: 'hash' may be used uninitialized in this function [-Wmaybe-uninitialized]
>   460 |     mutex_unlock(&hugetlb_fault_mutex_table[hash]);
>       |                                            ^
> fs/hugetlbfs/inode.c:463:5: warning: 'index' may be used uninitialized in this function [-Wmaybe-uninitialized]
>   463 |     hugetlb_vmdelete_list(&mapping->i_mmap,
>       |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>   464 |      index * pages_per_huge_page(h),
>       |      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>   465 |      (index + 1) * pages_per_huge_page(h));
>       |      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Introduced by commit
> 
>   6fdc8f8d1781 ("hugetlbfs: use i_mmap_rwsem to address page fault/truncate race")
> 

This is a false positive.  However, there are more serious issues with this
patch series as reported here:
https://lore.kernel.org/linux-mm/[email-masked]/

I'm working on the issue, but these may need to be reverted if I can not come
up with a solution quickly.  So, I am ignoring the false positive warning
until the more serious issue is resolved.
-- 
Mike Kravetz